import {createApp} from "vue"
import "./style.css"
import VueTyper from 'vue3-typer'
import "vue3-typer/dist/vue-typer.css"
import App from "./App.vue";
import Toast from "vue-toastification";
import "vue-toastification/dist/index.css";

const app = createApp(App)
app.component('VueTyper', VueTyper)

app.use(Toast, {});

// Global error handler
app.config.errorHandler = (err, vm, info) => {
  console.error("Global error:", err, info)
}

app.mount("#app")
